# Configure a docker distribution server

<dl>
<dt>Role name:</dt>
<dd>docker-distribution</dd>
<dt>Certified:</dt>
<dd>not yet completed</dd>
<dt>Invocation:</dt>
<dd>ansible-playbook playbooks/conf/docker-distribution.yml -e "target='somenode'"</dd>
<dt>Check option allowed:</dt>
<dd>Yes
</dd>
<dt>Files managed (via templates):</dt>
<dd>/etc/sysconfig/docker</dd>
<dd>/etc/sysconfig/docker-network</dd>
<dd>/etc/sysconfig/docker-storage-setup</dd>
<dd>/etc/docker-distribution/registry/config.yml</dd>
</dl>

## In Kickstart
This role must be explicitly stated in a kickstart playbook.
The playbook will fail if you have not set up the storage area,
but it gives you an informative message.  The top of this role\'s yaml file
shows an example of setting up the storage area.

## Notes
This role is now the official role to create and manage a Docker Registry.

