#!/bin/bash

unalias -a
PATH=/bin:/usr/bin

cp -p /home/docker/etc/condor/* /etc/condor/

cp -p /home/docker/usr/libexec/* /usr/libexec/

cp -p /home/docker/etc/profile.d/* /etc/profile.d/

cd /etc/profile.d
if [ ! -f grid-env.sh ] ; then
  ln -s /usr/libexec/grid-env.sh .
  ln -s /usr/libexec/grid-env.csh .
fi

grep -q atlas001 /etc/passwd
if [ $? -eq 1 ] ; then
  for i in /home/docker/root/etc/* ; do
    f=$(basename $i)
    cat $i >> /etc/$f
  done
fi

## we need something more elegant here; this is temporary
cd /etc/condor/
ln -s condor_config.local.ce3 condor_config.local
touch /etc/condor/docker-worker-container-setup.done

