#!/bin/csh

#setenv DQ2_LOCAL_PROTOCOL dcap
#setenv DQ2_LOCAL_PREFIX "dcap://dpool.triumf.lcg/pnfs/triumf.ca/data"

## Passive server mode for pool nodes outside NAT
#setenv DCACHE_CLIENT_ACTIVE true

setenv LFC_HOST prod-lfc-atlas.cern.ch
setenv ATLAS_CONDDB ca

# Test for CD PFC, Obsolete
#setenv DATAPATH /opt/exp_software/atlas/data/CD_PFC/

# alias for force streaming dccp to another queue
#alias dccp 'dccp -X-io-queue=DefaultQueue'

#if ( "`/usr/bin/id -u`" > "99" ) then
#  if( $?HOSTNAME ) then
#    set newhost=`echo $HOSTNAME|sed 's/\.lcg/\.ca/'`
#    setenv HOSTNAME $newhost
#    unset newhost
#  endif
#endif

## in the pocket
#setenv GLITE_LOCAL_COPY_RETRY_COUNT 2
#setenv GLITE_LOCAL_COPY_RETRY_FIRST_WAIT 299

# Enable gridftp2
setenv GLOBUS_FTP_CLIENT_GRIDFTP2 true

# Limit the memory usage of Atlas analysis job
set TRIUMFANGID=`/usr/bin/id -ng`
set TRIUMFANUID=`/usr/bin/id -un`
#echo "$TRIUMFANGID" | egrep -q 'atlas|atcan|atcpu'
#if ( $status == 0 ) then
#  limit vmemoryuse 4096000
#endif

echo "$TRIUMFANGID" | egrep -q 'atlas|atcan|atcpu|atprd|atsgm|dteam|dtesgm|ops|opssgm'
if ( $status == 0 ) then
  setenv HOME /home/$TRIUMFANUID
endif

unset TRIUMFANGID
unset TRIUMFANUID

#For CVMFS test
#setenv VO_ATLAS_SW_DIR /cvmfs/atlas.cern.ch/repo/sw 
setenv ATLAS_LOCAL_AREA /opt/Atlas/atlocal

#To solve root TMPDIR problem
setenv TMPDIR $HOME

#The default settings is way to large for LFC client
setenv LFC_CONNTIMEOUT 10
setenv LFC_CONRETRY 2
setenv LFC_CONRETRYINT 5

#For Atlas job recovery
setenv RECOVERY_DIR /home/jobreco
