#!/bin/sh

#export DQ2_LOCAL_PROTOCOL=dcap

#export DQ2_LOCAL_PREFIX="dcap://dpool.triumf.lcg/pnfs/triumf.ca/data"

## Passive server mode for pool nodes outside NAT
#export DCACHE_CLIENT_ACTIVE=true

export LFC_HOST=prod-lfc-atlas.cern.ch
export ATLAS_CONDDB="ca"

# Test for CD PFC, Obsolete
#export DATAPATH=/opt/exp_software/atlas/data/CD_PFC

# alias for force streaming dccp to another queue
#alias dccp='dccp -X-io-queue=DefaultQueue'
#function dccp() {
#
#  RANGE=30
#  number=$RANDOM
#  let "number %= $RANGE"
#  /bin/sleep $number
#
#  /opt/d-cache/dcap/bin/dccp -X-io-queue=DefaultQueue $*
#}

#if [ "$(/usr/bin/id -u)" -gt 99 ]; then
#  if [ "$HOSTNAME" != "" ] ; then
#    newhost=$(echo $HOSTNAME|sed 's/\.lcg/\.ca/')
#    export HOSTNAME=$newhost
#    unset newhost
#  fi
#fi

## in the pocket
#export GLITE_LOCAL_COPY_RETRY_COUNT=2
#export GLITE_LOCAL_COPY_RETRY_FIRST_WAIT=299

# Enable gridftp2
export GLOBUS_FTP_CLIENT_GRIDFTP2="true"

# Limit the memory usage of Atlas analysis job
TRIUMFANGID=`/usr/bin/id -ng`
TRIUMFANUID=`/usr/bin/id -un`
#if ( echo "$TRIUMFANGID" | egrep -q 'atlas|atcan|atcpu' ); then
#  ulimit -v 4096000
#fi
if ( echo "$TRIUMFANGID" | egrep -q 'atlas|atcan|atcpu|atprd|atsgm|dteam|dtesgm|ops|opssgm' ); then
  HOME=/home/$TRIUMFANUID
  export HOME
fi
unset TRIUMFANGID
unset TRIUMFANUID

#For CVMFS test
#export VO_ATLAS_SW_DIR=/cvmfs/atlas.cern.ch/repo/sw
export ATLAS_LOCAL_AREA=/opt/Atlas/atlocal

#To solve root TMPDIR problem
export TMPDIR=$HOME

#The default settings is way to large for LFC client
export LFC_CONNTIMEOUT=10
export LFC_CONRETRY=2
export LFC_CONRETRYINT=5

#For Atlas job recovery
export RECOVERY_DIR=/home/jobreco
