# Configure a docker worker node server

<dl>
<dt>Role name:</dt>
<dd>docker-worker</dd>
<dt>Certified:</dt>
<dd>not yet completed</dd>
<dt>Invocation:</dt>
<dd>ansible-playbook playbooks/conf/docker-worker.yml -e "target='somenode'"</dd>
<dd>ansible-playbook playbooks/conf/docker-worker.yml -e "target='somenode'" -t docker-worker-bridge</dd>
<dd>ansible-playbook playbooks/conf/docker-worker.yml -e "target='somenode'" -t docker-worker-setup</dd>
<dt>Check option allowed:</dt>
<dd>Yes
</dd>
<dt>Files managed (via templates):</dt>
<dd>/etc/sysconfig/docker</dd>
<dd>/etc/sysconfig/docker-network</dd>
<dd>/etc/sysconfig/docker-storage-setup</dd>
<dd>/etc/sysconfig/network</dd>
<dd>/etc/sysconfig/network-scripts/ifcfg-br0</dd>
<dd>/etc/sysconfig/network-scripts/ifcfg-net0</dd>
<dd>/etc/sysconfig/network-scripts/route-*</dd>
</dl>

## In Kickstart
This role must be explicitly stated in a kickstart playbook.  As well
the node should have its network configuration already configured as *net0-bridged* in its network kickstart profile before running this playbook.

## Notes
This role is specific for docker as a worker container server only.  Any future implementation of docker will require a more generic implementation of docker.

